/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.gui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Frame;
import java.awt.event.ActionListener;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;

import ca.uvic.csr.shrimp.ShrimpConstants;
import ca.uvic.csr.shrimp.ShrimpApplication.ApplicationAccessor;
import ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplication;
import ca.uvic.csr.shrimp.resource.ResourceHandler;


/**
 * @author Rob Lintern
 */
public class AboutDialog extends JDialog {

	public AboutDialog (Frame owner) {
		super (owner, "About " + ApplicationAccessor.getApplication().getName(), true);

		JLabel lblPoweredBy = new JLabel("Powered By", JLabel.CENTER);
		lblPoweredBy.setFont(lblPoweredBy.getFont().deriveFont(Font.BOLD));
		//shrimpLbl.setFont(new Font (shrimpLbl.getFont().getName(), shrimpLbl.getFont().getStyle(), (int) (shrimpLbl.getFont().getSize()*1.5)));
		lblPoweredBy.setForeground(Color.white);
		lblPoweredBy.setBackground(ShrimpConstants.SHRIMP_BACKGROUND_COLOR);
		lblPoweredBy.setPreferredSize(new Dimension(500, 32));

		Icon icon = new ImageIcon(ResourceHandler.getResourceImage("shrimplogo.jpg"));
		JLabel imageLabel = new JLabel(icon);
		int imageWidth = icon.getIconWidth();
		int imageHeight = icon.getIconHeight();
		imageLabel.setSize(imageWidth,imageHeight);
				
		JTextArea textArea = new JTextArea ();
		textArea.setEditable(false);
		ShrimpApplication app = ApplicationAccessor.getApplication();
		textArea.setText("CHISEL Group, University of Victoria, Canada\n" +
							"Copyright 1998-2007\n\n" +
							app.getBuildInfo() + "\n" +
							"Send questions, comments, and bug reports to:\n" +
							app.getHelpEmailAddress() + "\n\n" +
							app.getName() + " uses the Piccolo zooming library from the\n" + 
							"University of Maryland. See http://www.cs.umd.edu/hcil/piccolo/");
		textArea.setForeground(Color.white);
		textArea.setBackground(ShrimpConstants.SHRIMP_BACKGROUND_COLOR);
		
		JButton btnClose = new JButton("Close");
		btnClose.setBackground(ShrimpConstants.SHRIMP_BACKGROUND_COLOR);
		btnClose.addActionListener(new ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent e) {
				AboutDialog.this.setVisible(false);
				AboutDialog.this.dispose();
			};
		});
		JPanel pnlBottom = new JPanel(new FlowLayout(FlowLayout.CENTER, 10, 10));
		pnlBottom.add(btnClose);
		pnlBottom.setPreferredSize(new Dimension(500, 36));		
		pnlBottom.setBackground(ShrimpConstants.SHRIMP_BACKGROUND_COLOR);
		
		getContentPane().setLayout(new FlowLayout(FlowLayout.CENTER));
		getContentPane().add(lblPoweredBy); 
		getContentPane().add(imageLabel); 
		getContentPane().add(textArea);
		getContentPane().add(pnlBottom);
		getContentPane().setBackground(ShrimpConstants.SHRIMP_BACKGROUND_COLOR);
		
		setSize(564,460);		
		setVisible(true);
	}

}
