package org.eclipse.mylar.zest.layouts.exampleUses;

import org.eclipse.mylar.zest.layouts.LayoutStyles;
import org.eclipse.mylar.zest.layouts.algorithms.ForceDirectedAlgorithm;
import org.eclipse.mylar.zest.layouts.algorithms.JungCircleLayoutAlgorithom;
import org.eclipse.mylar.zest.layouts.algorithms.JungFRLayout;
import org.eclipse.mylar.zest.layouts.algorithms.JungISOMLayout;
import org.eclipse.mylar.zest.layouts.algorithms.JungKKLayout;
import org.eclipse.mylar.zest.layouts.algorithms.JungSpringLayout;
import org.eclipse.mylar.zest.layouts.algorithms.MotionLayoutAlgorithm;
import org.eclipse.mylar.zest.layouts.algorithms.TGLayoutAlgorithm;
import org.eclipse.mylar.zest.layouts.algorithms.TreemapLayout;
import org.eclipse.swt.widgets.Display;

import ca.uvic.cs.ortholayout.algorithms.HierarchicalLayoutAlgorithm;
import ca.uvic.cs.ortholayout.algorithms.OrthogonalLayoutAlgorithm;
import ca.uvic.cs.ortholayout.algorithms.internal.OrthoLayoutFacade;

public class SimpleSWTExample_nonepl extends SimpleSWTExample {

	public SimpleSWTExample_nonepl(Display display) {
		super(display);
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		SimpleSWTExample.algorithms
				.add(new TGLayoutAlgorithm(LayoutStyles.NONE));
		SimpleSWTExample.algorithmNames.add("TG");
		SimpleSWTExample.algorithmAnimates.add(Boolean.TRUE);
		SimpleSWTExample.algorithms.add(new ForceDirectedAlgorithm(
				LayoutStyles.NONE, false, 100));
		SimpleSWTExample.algorithmNames.add("Force Directed");
		SimpleSWTExample.algorithmAnimates.add(Boolean.TRUE);
		SimpleSWTExample.algorithms.add(new MotionLayoutAlgorithm(
				LayoutStyles.NONE, 50, 20));
		SimpleSWTExample.algorithmNames.add("Wobble");
		SimpleSWTExample.algorithmAnimates.add(Boolean.TRUE);
		if (OrthoLayoutFacade.isLoaded()) {
			SimpleSWTExample.algorithms.add(new OrthogonalLayoutAlgorithm(
					LayoutStyles.NONE));
			SimpleSWTExample.algorithmNames.add("Ortho");
			SimpleSWTExample.algorithms
					.add(new HierarchicalLayoutAlgorithm(LayoutStyles.NONE));
			SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
			SimpleSWTExample.algorithmNames.add("Hier");
			SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
		}

		SimpleSWTExample.algorithms.add(new JungCircleLayoutAlgorithom(
				LayoutStyles.NONE));

		SimpleSWTExample.algorithmNames.add("Circle");
		SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
		SimpleSWTExample.algorithms.add(new JungFRLayout(LayoutStyles.NONE));
		SimpleSWTExample.algorithmNames.add("FR");
		SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
		SimpleSWTExample.algorithms.add(new JungISOMLayout(LayoutStyles.NONE));
		SimpleSWTExample.algorithmNames.add("ISOM");
		SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
		SimpleSWTExample.algorithms.add(new JungKKLayout(LayoutStyles.NONE));
		SimpleSWTExample.algorithmNames.add("KK");
		SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
		SimpleSWTExample.algorithms
				.add(new JungSpringLayout(LayoutStyles.NONE));
		SimpleSWTExample.algorithmNames.add("Jung Spring");
		SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);
		
		SimpleSWTExample.algorithms.add( new TreemapLayout(LayoutStyles.NONE));
		SimpleSWTExample.algorithmNames.add("Tree Map");
		SimpleSWTExample.algorithmAnimates.add(Boolean.FALSE);

		SimpleSWTExample.main(args);

	}

}
